List comments
curl --request GET \
--url https://api.surefeedback.com/api/v1/comments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.surefeedback.com/api/v1/comments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.surefeedback.com/api/v1/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"data": [
{
"id": "990e8400-e29b-41d4-a716-446655440004",
"content": "The header looks misaligned on mobile.",
"status": "OPEN",
"priority": "HIGH",
"page_url": "https://example.com/home",
"created_by": { "id": "...", "name": "Jane Smith" },
"assigned_to": null,
"created_at": "2026-03-01T10:00:00Z"
}
],
"current_page": 1,
"total": 42
}
}
Comments
List comments
Get all comments for a site or page.
GET
/
comments
List comments
Returns comments for a site, optionally filtered by page URL, status, priority, or assignee.
Requires authentication via
X-API-Key: sf_your_api_key_here.Query parameters
string
required
UUID of the site to fetch comments for.
string
required
URL path or route of the page, for example
/ or /about.string
required
Device type:
DESKTOP, MOBILE, or TABLET.string
Filter comments by a specific page URL.
string
Filter by status:
OPEN, RESOLVED, IN_PROGRESS, or CLOSED.string
Filter by priority:
LOW, MEDIUM, HIGH, or URGENT.string
UUID of the user the comments are assigned to.
integer
Results per page. Default:
25. Max: 100.integer
Page number. Default:
1.{
"success": true,
"data": {
"data": [
{
"id": "990e8400-e29b-41d4-a716-446655440004",
"content": "The header looks misaligned on mobile.",
"status": "OPEN",
"priority": "HIGH",
"page_url": "https://example.com/home",
"created_by": { "id": "...", "name": "Jane Smith" },
"assigned_to": null,
"created_at": "2026-03-01T10:00:00Z"
}
],
"current_page": 1,
"total": 42
}
}
Was this page helpful?
⌘I